Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge.http
Class IContextServer.ChannelName

    java.lang.Object
      php.java.bridge.http.IContextServer.ChannelName

Enclosing interface:
  IContextServer

    public abstract static class IContextServer.ChannelName

extends java.lang.Object

Represents the pipe or socket channel name.

Author:
  jostb

Constructor Summary
`IContextServer.ChannelName(java.lang.String name, java.lang.String kontext, IContextFactory currentCtx)`

Method Summary
`IContextFactory` | `getCtx()` Return the
`java.lang.String` | `getDefaultName()` Returns the default (persistent) name of the channel, if it exists.
`java.lang.String` | `getKontext()`
`java.lang.String` | `getName()` Returns the name of the channel, for example the socket # or the pipe name.
`ContextRunner` | `getRunner()` Retrieve the current runner
`boolean` | `hasDefault()` Check if the default name exists, see X_JAVABRIDGE_CONTEXT_DEFAULT
`abstract java.lang.String` | `schedule()` Check if there's a persistent ContextRunner available for the kontext.
`void` | `setRunner(ContextRunner runner)` Save the current runner.
`abstract boolean` | `startChannel()` Start the channel.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IContextServer.ChannelName

    public IContextServer.ChannelName(java.lang.String name,
                                      java.lang.String kontext,
                                      IContextFactory currentCtx)

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the channel, for example the socket # or the pipe name.

  Returns:
    the name of the channel

### getDefaultName

    public java.lang.String getDefaultName()

  Returns the default (persistent) name of the channel, if it exists. Otherwise it returns the name.

  Returns:
    the persistent name of the channel from X_JAVABRIDGE_CONTEXT_DEFAULT.
  See Also:
    `getName()`

### hasDefault

    public boolean hasDefault()

  Check if the default name exists, see X_JAVABRIDGE_CONTEXT_DEFAULT

  Returns:
    true, if the persistent name exists, false otherwise.

### setRunner

    public void setRunner(ContextRunner runner)

  Save the current runner.

  Parameters:
    `runner` - the ContextRunner or null

### getRunner

    public ContextRunner getRunner()

  Retrieve the current runner

  Returns:
    the saved runner or null

### getCtx

    public IContextFactory getCtx()

  Return the

  Returns:
    the value for X_JAVABRIDGE_CONTEXT.

### getKontext

    public java.lang.String getKontext()

  Returns:
    the value for X_JAVABRIDGE_CONTEXT_DEFAULT.
  See Also:
    `getDefaultName()`

### startChannel

    public abstract boolean startChannel()

  Start the channel. This method calls IContextServer.start()

### schedule

    public abstract java.lang.String schedule()

  Check if there's a persistent ContextRunner available for the kontext. After calling this method the persistent name can be queried with `getDefaultName()` and `hasDefault()`.

  Returns:
    the default name or null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD